Name:		ArpON
Version:	2.7
Release:	3%{?dist}
Summary:	ARP handler inspection

Group:		Applications/Internet
License:	BSD
URL:		http://arpon.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/arpon/arpon/ArpON-%{version}/ArpON-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libpcap-devel
BuildRequires:	cmake
BuildRequires:	libnet-devel
BuildRequires:	libdnet-devel

		
%description
%{name} is a portable handler daemon
It has a lot of features and it makes ARP a bit safer.
It uses static ARP inspection and dynamic ARP inspection
as two kinds of anti ARP poisoning techniques.

%prep
%setup -q


%build
%{__cmake} .
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__install} -D -pm 755 src/arpon %{buildroot}%{_sbindir}/arpon
%{__install} -D -pm 644 man8/arpon.8 %{buildroot}%{_mandir}/man8/arpon.8  


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHOR CHANGELOG LICENSE doc/*
%{_sbindir}/arpon
%{_mandir}/man8/arpon.8*


%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 30 2012 Jon Ciesla <limburgher@gmail.com> - 2.7-2
- libnet rebuild.

* Sat Jan 21 2012 Arun SAG <sagarun@gmail.com> - 2.7-1
- Updated to latest upstream version 2.7
- Remove explicit requires on libraries

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 31 2011 Arun SAG <sagarun [AT] gmail dot com> - 2.6-2
- Fix broken deps

* Sun Jul 17 2011 Arun SAG <sagarun [AT] gmail dot com> - 2.6-1
- Updated to version 2.6

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.90-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 02 2010 Arun SAG <sagarun [AT] gmail dot com> -  1.90-7
- Bumping release to fix previous CVS commit.

* Thu Mar 25 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-6
- Bumping release to fix previous CVS commit.

* Tue Mar 9 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-5
- Fixed mixed usage of capital letters and period in changelog. 
- Fixed install so that arpon.8 gets copied in correct directory.

* Sun Mar 7 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-4
- Optflags used instead of RPM_OPT_FLAGS.
- Man dir corrected.

* Wed Jan 13 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-3
- Source URL fixed.
- Install part rewrittern.

* Sat Jan 2 2010 Arun SAG <sagarun [AT] gmail dot com> - 1.90-2
- Removed insignificant INSTALL file from binary package.
- Changed build section to  use Fedora project flags.

* Sat Dec 20 2009 Arun SAG <sagarun [AT] gmail dot com> - 1.90-1
- My initial release.

* Tue Dec 01 2009 Sandro Mathys <red at fedoraproject.org> - 1.90-1
- Initial build.
